Commet
  • Pricing
Log InTry out
Create feature POSTDelete feature DELETEGet feature access GETGet feature GETList feature access GETList features GETUpdate feature PUT
System status
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Delete feature

Delete a feature. Fails if the feature is attached to active plans or has an active add-on.

DELETE
/features/{code}/manage

Delete a feature. Fails if the feature is attached to active plans or has an active add-on.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

code*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/features/string/manage"
{  "success": true,  "data": {    "id": "string",    "deleted": true,    "object": "string",    "livemode": true  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Create feature POST

Create a new feature. Code must be lowercase alphanumeric with underscores.

Get feature access GET

Get feature access details for a customer. Use action=canUse to check if the customer can consume one more unit.